# $Revision: 1.4 $, $Date: 2004/07/26 22:13:03 $

%define		_realname	libxml++
Summary:	C++ interface for working with XML files
Summary(pl):	Interfejs C++ do pracy z plikami XML
Name:		libxml++1
Version:	1.0.4
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{_realname}/1.0/%{_realname}-%{version}.tar.bz2
# Source0-md5:	d7a28fa79199ea957ac4be7c88c412a7
URL:		http://libxmlplusplus.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.5.8
Obsoletes:	libxml++ < 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxml++ is a C++ interface for the libxml XML parser library.

%description -l pl
libxml++ jest interfejsem C++ do biblioteki libxml.

%package devel
Summary:	Header files for libxml++
Summary(pl):	Pliki nagwkowe do libxml++
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	libxml2-devel >= 2.5.8
Obsoletes:	libxml++-devel < 2.0.0

%description devel
Header files for libxml++.

%description devel -l pl
Pliki nagwkowe do libxml++.

%package static
Summary:	Static libxml++ libraries
Summary(pl):	Biblioteka statyczna libxml++
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libxml++-static < 2.0.0

%description static
Static libxml++ libraries.

%description static -l pl
Biblioteka statyczna libxml++.

%prep
%setup -q -n %{_realname}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxml++1.spec,v $
Revision 1.4  2004/07/26 22:13:03  grzegol
- updated to 1.0.4

Revision 1.3  2004/06/16 12:05:27  qboosh
- Obsoletes libxml++ < 2.0.0 (not <=), also for -devel and -static
- strict internal deps

Revision 1.2  2004/06/16 07:59:21  krzak
Obsoletes:      libxml++ <= 2.0.0

Revision 1.1  2004/06/15 08:35:33  krzak
- separated spec for libxml++ 1.0

Revision 1.2  2004/06/15 08:12:50  krzak
- fixed build process
- rel 2
- STBR

Revision 1.1  2004/06/15 07:26:20  krzak
- separated spec file for libxml 1.0

Revision 1.10  2003/12/19 14:57:59  grzegol
- updated to 1.0.0

Revision 1.9  2003/12/08 16:11:10  grzegol
- updated to 0.28.0

Revision 1.8  2003/11/07 23:32:04  grzegol
- updated to 0.27.0

Revision 1.7  2003/09/30 13:38:14  grzegol
- updated to 0.26.0

Revision 1.6  2003/07/27 19:16:21  grzegol
- updated to 0.25.0
- regenerate ac/am/lt

Revision 1.5  2003/07/15 09:03:09  qboosh
- BR+R: libstdc++-devel

Revision 1.4  2003/07/15 08:59:03  qboosh
- up to 0.24.0

Revision 1.3  2003/05/28 12:59:33  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:50:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/24 17:50:31  grzegol
- new
